using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

public abstract class NavButtonController : MonoBehaviour, IPointerClickHandler {

    public abstract void Click();

	//Detect if a click occurs
	public void OnPointerClick(PointerEventData pointerEventData)
	{
		//Use this to tell when the user left-clicks on the Button
		if (pointerEventData.button == PointerEventData.InputButton.Left)
		{
			Click ();		
		}
	}
}
